"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirestoreDocument = void 0;
const FirestoreCollection_1 = require("./FirestoreCollection");
const FirestoreSnapshot_1 = require("./FirestoreSnapshot");
class FirestoreDocument {
    firestore;
    path;
    constructor(firestore, path) {
        this.firestore = firestore;
        this.path = path;
    }
    getSubCollection(key) {
        return new FirestoreCollection_1.FirestoreCollection(this.firestore, this.path.appending(key));
    }
    async setValues(values) {
        await this.firestore.doc(this.path.fullPath).update(values);
    }
    async snapshot() {
        const snapshot = await this.firestore.doc(this.path.fullPath).get();
        return new FirestoreSnapshot_1.FirestoreSnapshot(snapshot);
    }
}
exports.FirestoreDocument = FirestoreDocument;
