import type { SupportedRegion } from 'firebase-functions/v2/options';
import type { FirebaseFunctions } from '../firebase';
import { FirebaseFunctionsCaller } from './FirebaseFunctionsCaller';
import type { FirebaseApp as FirebaseAppInstance } from 'firebase/app';
export declare class FirebaseApp<Functions extends FirebaseFunctions> {
    private readonly options;
    constructor(options: FirebaseApp.Options);
    get functions(): FirebaseFunctionsCaller<Functions>;
}
export declare namespace FirebaseApp {
    interface Options {
        macKey: Uint8Array;
        app: FirebaseAppInstance;
        region: SupportedRegion;
        useEmulator: boolean;
        requestBaseUrl: string;
    }
}
